
import 'adgydeflutterplugin_platform_interface.dart';

class Adgydeflutterplugin {

  Future<String?> getPlatformVersion() {
    return AdgydeflutterpluginPlatform.instance.getPlatformVersion();
  }

  void init(String appkey,String channel) {
    AdgydeflutterpluginPlatform.instance.init(appkey,channel);
  }
  void simpleEvent(String eventValue) {
    AdgydeflutterpluginPlatform.instance.simpleEvent(eventValue);
  }

  void countingEvent(String eventId, Map eventValue) {
    AdgydeflutterpluginPlatform.instance.countingEvent(eventId, eventValue);
  }

  void computingEvent(String eventId, Map eventValue) {
    AdgydeflutterpluginPlatform.instance.computingEvent(eventId, eventValue);  }

  void daliyUnique(String eventId, Map eventValue) {
    AdgydeflutterpluginPlatform.instance.daliyUnique(eventId, eventValue);  }

  void permanentUnique(String eventId, Map eventValue) {
    AdgydeflutterpluginPlatform.instance.permanentUnique(eventId, eventValue);  }

  void customUnique(String eventId, Map eventValue,int time) {
    AdgydeflutterpluginPlatform.instance.customUnique(eventId, eventValue, time);  }
  void setCurrentScreen(String screenName) {
    AdgydeflutterpluginPlatform.instance.setCurrentScreen(screenName);  }

  void removeCurrentScreen(String screenName) {
    AdgydeflutterpluginPlatform.instance.removeCurrentScreen(screenName);  }

  void getEmailId(String emailId) {
    AdgydeflutterpluginPlatform.instance.getEmailId(emailId);  }

  void getPhoneNumber(int phoneno) {
    AdgydeflutterpluginPlatform.instance.getPhoneNumber(phoneno);  }

  void setClientUserId(String clientUserid) {
    AdgydeflutterpluginPlatform.instance.setClientUserId(clientUserid);  }

  void revenueEvent(int revenue) {
    AdgydeflutterpluginPlatform.instance.revenueEvent(revenue);  }

  void fcmToken(String token) {
    AdgydeflutterpluginPlatform.instance.fcmToken(token);  }

  void setAge(String age) {
    AdgydeflutterpluginPlatform.instance.setAge(age);  }

  void setGender(String gender) {
    AdgydeflutterpluginPlatform.instance.setGender(gender);  }

  void setImeiPermission(bool imei) {
    AdgydeflutterpluginPlatform.instance.setImeiPermission(imei);  }

  Future<String?>  getDeeplinkData() async {

   final deeplink= AdgydeflutterpluginPlatform.instance.getDeeplinkData();

    return deeplink;

  }

  void getUserId() async {
    AdgydeflutterpluginPlatform.instance.getUserId();
  }
  void getCampaignName() async{
    AdgydeflutterpluginPlatform.instance.getCampaignName();

  }

  void getCampaignId() async{
    AdgydeflutterpluginPlatform.instance.getCampaignId();

  }

  Future<String?> getChannelName() async{
    final channelName=AdgydeflutterpluginPlatform.instance.getChannelName();

    return channelName;

  }
  void getchannelId() async{
    AdgydeflutterpluginPlatform.instance.getchannelId();

  }

  void getMediaSource() async{
    AdgydeflutterpluginPlatform.instance.getMediaSource();

  }

  void getUtmSource() async{
    AdgydeflutterpluginPlatform.instance.getUtmSource();
  }


}
