import 'package:adgydeflutterplugins/adgydeflutterplugin_method_channel.dart';
import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';


void main() {
  MethodChannelAdgydeflutterplugin platform = MethodChannelAdgydeflutterplugin();
  const MethodChannel channel = MethodChannel('adgydeflutterplugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
