import 'package:flutter_test/flutter_test.dart';
import 'package:adgydeflutterplugins/adgydeflutterplugin.dart';
import 'package:adgydeflutterplugins/adgydeflutterplugin_platform_interface.dart';
import 'package:adgydeflutterplugins/adgydeflutterplugin_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockAdgydeflutterpluginPlatform 
    with MockPlatformInterfaceMixin
    implements AdgydeflutterpluginPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');

  @override
  void computingEvent(String eventId, Map eventValue) {
    // TODO: implement computingEvent
  }

  @override
  void countingEvent(String eventId, Map eventValue) {
    // TODO: implement countingEvent
  }

  @override
  void customUnique(String eventId, Map eventValue, int time) {
    // TODO: implement customUnique
  }

  @override
  void daliyUnique(String eventId, Map eventValue) {
    // TODO: implement daliyUnique
  }

  @override
  void fcmToken(String token) {
    // TODO: implement fcmToken
  }

  @override
  Future<String?> getCampaignId() {
    // TODO: implement getCampaignId
    throw UnimplementedError();
  }

  @override
  Future<String?> getCampaignName() {
    // TODO: implement getCampaignName
    throw UnimplementedError();
  }

  @override
  Future<String?> getChannelName() {
    // TODO: implement getChannelName
    throw UnimplementedError();
  }

  @override
  Future<String?> getDeeplinkData() {
    // TODO: implement getDeeplinkData
    throw UnimplementedError();
  }

  @override
  void getEmailId(String emailId) {
    // TODO: implement getEmailId
  }

  @override
  Future<String?> getMediaSource() {
    // TODO: implement getMediaSource
    throw UnimplementedError();
  }

  @override
  void getPhoneNumber(int phoneno) {
    // TODO: implement getPhoneNumber
  }

  @override
  Future<String?> getUserId() {
    // TODO: implement getUserId
    throw UnimplementedError();
  }

  @override
  Future<String?> getUtmSource() {
    // TODO: implement getUtmSource
    throw UnimplementedError();
  }

  @override
  Future<String?> getchannelId() {
    // TODO: implement getchannelId
    throw UnimplementedError();
  }

  @override
  void init(String appkey, String channel) {
    // TODO: implement init
  }

  @override
  void permanentUnique(String eventId, Map eventValue) {
    // TODO: implement permanentUnique
  }

  @override
  void removeCurrentScreen(String screenName) {
    // TODO: implement removeCurrentScreen
  }

  @override
  void revenueEvent(int revenue) {
    // TODO: implement revenueEvent
  }

  @override
  void setAge(String age) {
    // TODO: implement setAge
  }

  @override
  void setClientUserId(String clientUserid) {
    // TODO: implement setClientUserId
  }

  @override
  void setCurrentScreen(String screenName) {
    // TODO: implement setCurrentScreen
  }

  @override
  void setGender(String gender) {
    // TODO: implement setGender
  }

  @override
  void setImeiPermission(bool imei) {
    // TODO: implement setImeiPermission
  }

  @override
  void simpleEvent(String eventValue) {
    // TODO: implement simpleEvent
  }
}

void main() {
  final AdgydeflutterpluginPlatform initialPlatform = AdgydeflutterpluginPlatform.instance;

  test('$MethodChannelAdgydeflutterplugin is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelAdgydeflutterplugin>());
  });

  test('getPlatformVersion', () async {
    Adgydeflutterplugin adgydeflutterpluginPlugin = Adgydeflutterplugin();
    MockAdgydeflutterpluginPlatform fakePlatform = MockAdgydeflutterpluginPlatform();
    AdgydeflutterpluginPlatform.instance = fakePlatform;
  
    expect(await adgydeflutterpluginPlugin.getPlatformVersion(), '42');
  });
}
